Name: vdrift
Version:  20071226
Release:  3%{?dist}
Summary: VDrift is a cross-platform, open source driving/drift racing simulation

Group: Amusements/Games 
License: GPLv2+
URL: http://vdrift.net
Source0: %{name}-2007-12-26-src.tar.bz2
#Original upstream:
#Source0: http://downloads.sourceforge.net/%{name}/%{name}-2007-12-26-src.tar.bz2
# Modified:
# cd docs
# rm HOW_TO_COMPILE.txt SConscript INSTALL
# cd ..
# rm bullet-2.64/glew32.dll
# rm bullet-2.64/GLUT32.DLL
# rm -rf bullet-2.64/Glut
# rm -rf bullet-2.64/Extras
# rm -rf bullet-2.64/Demos

Source1: vdrift.desktop
Source2: vdrift.png
Patch0: vdrift-SConstruct.patch
Patch1: vdrift-20071226-paths.patch
Patch2: vdrift-20071226-gcc4.3.patch
Patch3: vdrift-20071226-jamfile.patch
#Patch4: vdrift-20071226-configure.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_net-devel
BuildRequires: SDL_gfx-devel
BuildRequires: scons
BuildRequires: libGL-devel
BuildRequires: openal-devel
BuildRequires: freealut-devel
BuildRequires: jam
BuildRequires: libvorbis-devel
BuildRequires: desktop-file-utils

Requires: vdrift-data = %{version}

%description
VDrift is a cross-platform, open source driving simulation made with drift 
racing in mind. It's powered by the excellent Vamos physics engine. It is
released under the GNU General Public License (GPL) v2. It is currently
available for Linux, FreeBSD, Mac OS X and Windows (Cygwin).

%prep

%setup -qn vdrift

%ifarch ppc ppc64
sed -i 's/linuxx86/linuxppc/' src/SConscript
%endif

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
#%patch4 -p0

/bin/chmod -x src/gamestate.cpp
/bin/chmod -x src/logo.cpp
/bin/chmod -x src/objects.cpp
/bin/chmod -x src/main.cpp
/bin/chmod -x src/game.cpp

%build
cd bullet-2.64
%configure
jam bulletcollision bulletmath
cd ..

#hack for bullet on ppc
#ln -s bullet-2.64/out/linuxppc bullet-2.64/out/linuxx86

CC="gcc" CXX="g++" CXXFLAGS="%{optflags}" scons destdir=%{buildroot} bin=/bin use_binreloc=0 release=1 os_cc=1 os_cxx=1 os_cxxflags=1 NLS=0

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
CC="gcc" CXX="g++" CXXFLAGS="%{optflags}" scons install destdir=%{buildroot} bin=/bin use_binreloc=0 release=1 os_cc=1 os_cxx=1 os_cxxflags=1 NLS=0

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir %{buildroot}%{_datadir}/applications \
 %{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE2} \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/vdrift
%doc docs/*
%{_datadir}/applications/fedora-vdrift.desktop
%{_datadir}/icons/hicolor/32x32/apps/vdrift.png


%changelog
* Fri Feb 15 2008 Jon Ciesla <limb@jcomserv.net> - 20071226-3
- Multiple fixes for the review.

* Thu Feb 14 2008 Jon Ciesla <limb@jcomserv.net> - 20071226-2
- Multiple package fixes.

* Tue Feb 12 2008 Jon Ciesla <limb@jcomserv.net> - 20071226-1
- Updated to current release.

* Wed Apr 18 2007 Jon Ciesla <limb@jcomserv.net> - 20070323-4
- Added patch to fix mouse driving from thelusiv@gmail.com.

* Mon Apr 16 2007 Jon Ciesla <limb@jcomserv.net> - 20070323-3
- Corrected patch to allow build without minimal data.
- Added release=1 to scons options.
- Passing compiler flags to scons.
- Turned off translations.

* Mon Apr 04 2007 Jon Ciesla <limb@jcomserv.net> - 20070323-2
- Split out minimal data.

* Thu Mar 28 2007 Jon Ciesla <limb@jcomserv.net> - 20070323-1
- Initial packaging
